/*
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Structure: lu:Tag
 *
 * XML based config for a <Legato.Util.Tag>.
 *
 * A valid config example for an RGBColor would be:
 * (start code)
 * <lu:Tag name="foo" value="bar"/>
 * <lu:Tag name="foo"/>
 * (end)
 */
Legato.Util.Tag.Bean = Legato.Beans.Object.Extend('Legato.Util.Tag',
//
    Legato.Util.QName('Tag'),
    //
    {
      _constructor :Legato.Util.Tag,
      constructorArguments : {
        name :Legato.Lang.String,
        value :Legato.Lang.String
      },
      constructorOrder : [ 'name', 'value' ]
    });